#!/bin/sh

i=1

new_data="yes"
data=""

newfile=~/.stva-new
oldfile=~/.stva-cur

while [ "$new_data" ]; do
    new_data=$(curl -Ls "https://e-schild.stva.gl.ch/?page=${i}&category=1" | \
        grep '<td>GL' | sed 's/.*<td>GL //')

    if [ "$new_data" ]; then
        data="$data $new_data"
        i=$((i+1))
    fi
done

(
    for num in $data; do
        echo "GL${num}"
    done
) > "$newfile"

# Ensure old file exists
touch "$oldfile"

diff -u "$oldfile" "$newfile"
mv "$newfile" "$oldfile"
echo "Full info at https://e-schild.stva.gl.ch/"
